xmlcmd.h File Reference
`#include <gwenhywfar/db.h>`
`#include <gwenhywfar/xml.h>`

Go to the source code of this file.

## Typedefs

typedef int(* | GWEN_XMLCMD_HANDLECHILDREN_FN) (GWEN_XMLCOMMANDER *cmd, GWEN_XMLNODE *xmlNode)
typedef struct GWEN_XMLCOMMANDER | GWEN_XMLCOMMANDER

## Functions

GWENHYWFAR_API void | GWEN_XmlCommander_free (GWEN_XMLCOMMANDER *cmd)
GWENHYWFAR_API int | GWEN_XmlCommander_HandleChildren (GWEN_XMLCOMMANDER *cmd, GWEN_XMLNODE *xmlNode)
GWENHYWFAR_API GWEN_XMLCOMMANDER * | GWEN_XmlCommander_new (void)
GWENHYWFAR_API GWEN_XMLCMD_HANDLECHILDREN_FN | GWEN_XmlCommander_SetHandleChildrenFn (GWEN_XMLCOMMANDER *cmd, GWEN_XMLCMD_HANDLECHILDREN_FN f)

## Typedef Documentation

## GWEN_XMLCMD_HANDLECHILDREN_FN

typedef int(* GWEN_XMLCMD_HANDLECHILDREN_FN) (GWEN_XMLCOMMANDER *cmd, GWEN_XMLNODE *xmlNode)

Definition at line 42 of file xmlcmd.h.

## GWEN_XMLCOMMANDER

typedef struct GWEN_XMLCOMMANDER GWEN_XMLCOMMANDER

Definition at line 39 of file xmlcmd.h.

## Function Documentation

## GWEN_XmlCommander_free()

GWENHYWFAR_API void GWEN_XmlCommander_free | ( | GWEN_XMLCOMMANDER * | cmd | ) |

References GWEN_XmlCommander_free(), and GWENHYWFAR_API.

Referenced by GWEN_XmlCommander_free().

## GWEN_XmlCommander_HandleChildren()

GWENHYWFAR_API int GWEN_XmlCommander_HandleChildren | ( | GWEN_XMLCOMMANDER * | cmd,
|  | GWEN_XMLNODE * | xmlNode )

References GWEN_XmlCommander_HandleChildren(), and GWENHYWFAR_API.

Referenced by GWEN_XmlCommander_HandleChildren().

## GWEN_XmlCommander_new()

GWENHYWFAR_API GWEN_XMLCOMMANDER * GWEN_XmlCommander_new | ( | void |  | ) |

References GWEN_XmlCommander_new(), and GWENHYWFAR_API.

Referenced by GWEN_XmlCommander_new().

## GWEN_XmlCommander_SetHandleChildrenFn()

GWENHYWFAR_API GWEN_XMLCMD_HANDLECHILDREN_FN GWEN_XmlCommander_SetHandleChildrenFn | ( | GWEN_XMLCOMMANDER * | cmd,
|  | GWEN_XMLCMD_HANDLECHILDREN_FN | f )

References GWEN_XmlCommander_SetHandleChildrenFn(), and GWENHYWFAR_API.

Referenced by GWEN_XmlCommander_SetHandleChildrenFn().